package doctor.auth.controller;

import doctor.auth.service.HealthDoctorService;
import doctor.auth.service.HealthUserService;
import doctor.auth.vo.DoctorVo;
import doctor.common.core.domain.HealthR;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/doctor/v1")
public class HealthDoctorController {

    @Autowired
    private HealthDoctorService healthDoctorService;

    @PostMapping("/login")
    public HealthR<?> login(@RequestParam String email, @RequestParam String pwd) {
        DoctorVo userInfo = healthDoctorService.login(email,pwd);
        if (userInfo!=null){
            return HealthR.ok(userInfo,"登录成功");
        }else {
            return HealthR.fail("登录失败");
        }
    }


}
