package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.entity.UserWalletEntity;
import doctor.domain.vo.UserVideoBuyVo;
import doctor.domain.vo.UserVideoCollectionVo;
import doctor.service.UserVideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static com.github.pagehelper.page.PageMethod.startPage;


/**
 * @ClassName : UserVideoController
 * @Description : 用户视频
 * @Author : FJJ
 * @Date: 2024-01-10 14:32
 */
@RestController
@RequestMapping("/user/verify/v1")
public class UserVideoController {
    @Autowired
        private UserVideoService userVideoService;

    //用户视频收藏列表
    @GetMapping("/findVideoCollectionList")
    public HealthR<List<UserVideoCollectionVo>> findVideoCollectionList(@RequestParam Integer page, @RequestParam Integer count){
        startPage(page,count);
      List<UserVideoCollectionVo>  userVideoCollectionVos=userVideoService.findVideoCollectionList();
        return HealthR.ok(userVideoCollectionVos);
    }
    //用户取消视频收藏
    @GetMapping("/cancelVideoCollection/{id}")
    public HealthR cancelVideoCollection(@PathVariable Integer id){
        userVideoService.cancelVideoCollection(id);
        return HealthR.ok();
    }
    //用户购买视频列表
    @GetMapping("/findUserVideoBuyList")
    public HealthR<List<UserVideoBuyVo>>findUserVideoBuyList(@RequestParam Integer page, @RequestParam Integer count){
        startPage(page,count);
        List<UserVideoBuyVo> userVideoCollectionVos =userVideoService.findUserVideoBuyList();
        return HealthR.ok(userVideoCollectionVos);
    }
    //用户删除购买的视频
    @DeleteMapping("/deleteVideoBuy/{id}")
    public HealthR deleteVideoBuy(@PathVariable Integer id){
        userVideoService.deleteVideoBuy(id);
        return HealthR.ok();
    }

    //我的钱包
    @GetMapping("/findUserWallet")
    public HealthR<List<UserWalletEntity>> findUserWallet(){
        List<UserWalletEntity> userWallets = userVideoService.findUserWallet();
        return HealthR.ok(userWallets);
    }


}
