package doctor.service.impl;


import doctor.domain.dto.VideoDto;
import doctor.domain.entity.VideoCategoryEntity;
import doctor.domain.entity.VideoEntity;
import doctor.domain.vo.VideoCategoryVo;
import doctor.domain.vo.VideoVo;
import doctor.mapper.HealthUserVideoMapper;
import doctor.service.HealthUserVideoService;
import doctor.util.ConvertUtil;
import io.netty.util.internal.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class HealthUserVideoServiceImpl implements HealthUserVideoService {
    @Autowired
    private HealthUserVideoMapper healthUserVideoMapper;

    @Override
    public List<VideoCategoryVo> findVideoCategoryList() {

        List<VideoCategoryEntity> videoCategoryList =healthUserVideoMapper.findVideoCategoryList();
        List<VideoCategoryVo> videoCategoryVos = ConvertUtil.entityToVoList(videoCategoryList, VideoCategoryVo.class);
        return videoCategoryVos;
    }

    @Override
    public List<VideoVo> findVideoVoList(Integer categoryId) {
        List<VideoEntity> videoVoList = healthUserVideoMapper.findVideoVoList(categoryId);
        List<VideoVo> videoVos = ConvertUtil.entityToVoList(videoVoList, VideoVo.class);
        return videoVos;
    }
}
