package doctor.service.impl;

import doctor.domain.entity.UserVideoBuyEntity;
import doctor.domain.entity.UserVideoCollectionEntity;
import doctor.domain.entity.UserWalletEntity;
import doctor.domain.vo.UserVideoBuyVo;
import doctor.domain.vo.UserVideoCollectionVo;
import doctor.mapper.UserVideoMapper;
import doctor.service.UserVideoService;
import doctor.util.ConvertUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName : UserVideoServiceImpl
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:34
 */
@Service
public class UserVideoServiceImpl implements UserVideoService {
    @Autowired
    private UserVideoMapper userVideoMapper;


    @Override
    public List<UserVideoCollectionVo> findVideoCollectionList() {
        List<UserVideoCollectionEntity> userVideoCollectionEntityList=userVideoMapper.findVideoCollectionList();
        List<UserVideoCollectionVo> userVideoCollectionVoList = ConvertUtil.entityToVoList(userVideoCollectionEntityList, UserVideoCollectionVo.class);
        return userVideoCollectionVoList;
    }

    @Override
    public void cancelVideoCollection(Integer id) {
        userVideoMapper.cancelVideoCollection(id);
    }

    @Override
    public List<UserVideoBuyVo> findUserVideoBuyList() {
        List<UserVideoBuyEntity> userVideoCollectionEntityList=userVideoMapper.findUserVideoBuyList();
        List<UserVideoBuyVo> userVideoBuyList =  ConvertUtil.entityToVoList(userVideoCollectionEntityList, UserVideoBuyVo.class);
        return userVideoBuyList;
    }

    @Override
    public void deleteVideoBuy(Integer id) {
        userVideoMapper.deleteVideoBuy(id);
    }

    @Override
    public List<UserWalletEntity> findUserWallet() {
        return userVideoMapper.findUserWallet();
    }


}
